Folks.Backend.unprepare – folks Reference Manual

# unprepare

## Description:

public abstract async void unprepare () throws Error

Revert the Backend to its pre-prepared state.

This will disconnect this Backend and its dependencies from their respective services and the Backend will issue Backend.persona_store_removed for each of its PersonaStores.

Most users won't need to use this function.

If this function throws an error, the Backend will not be functional.

Concurrent calls to this function from different threads will block until preparation has completed. However, concurrent calls to this function from a single thread might not, i.e. the first call will block but subsequent calls might return before the first one. (Though they will be safe in every other respect.)

## Exceptions:

GLib.Error | if unpreparing the backend-specific services failed — this will be a backend-specific error

## Since:

0.3.2